Bug 784349 - Add PIE and RELRO flags when building setuid programs
Add PIE and RELRO flags when building setuid programs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: shadow-utils (Show other bugs)
16
All Linux
high Severity high
: ---
: ---
Assigned To: Peter Vrabec
Fedora Extras Quality Assurance
:
Depends On: 723921
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-24 11:20 EST by Jeff Bastian
Modified: 2012-02-17 18:51 EST (History)
4 users (show)

See Also:
Fixed In Version: shadow-utils-4.1.4.3-13.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 723921
Environment:
Last Closed: 2012-02-17 18:51:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeff Bastian 2012-01-24 11:20:23 EST
+++ This bug was initially created as a clone of Bug #723921 +++

Description of problem:
The shadow-utils program contains setuid programs. We would like them to be built with PIE and FULL RELRO support if possible. Partial RELRO is OK if all attempts at making it FULL RELRO run into problems.

Additional info:
PIE flags mean -fPIE -DPIE passed to gcc on compile
FULL RELRO requires these passed at link:
-Wl,-z,relro -Wl,-z,bind_now
Comment 3 Fedora Update System 2012-02-13 06:25:15 EST
shadow-utils-4.1.4.3-13.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/shadow-utils-4.1.4.3-13.fc16
Comment 4 Fedora Update System 2012-02-14 04:09:06 EST
Package shadow-utils-4.1.4.3-13.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing shadow-utils-4.1.4.3-13.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-1631/shadow-utils-4.1.4.3-13.fc16
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-02-17 18:51:16 EST
shadow-utils-4.1.4.3-13.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.